curl --request GET \
--url http://{host}:{port}/{contextPath}/event-subscription/count \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/event-subscription/count"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/event-subscription/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Get List Count
Queries for the number of event subscriptions that fulfill given parameters. Takes the same parameters as the Get Event Subscriptions method.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Only select subscription with the given id.
Only select subscriptions for events with the given name.
Only select subscriptions for events with the given type.
Valid values: message, signal, compensate and conditional.
message, signal, compensate, conditional Only select subscriptions that belong to an execution with the given id.
Only select subscriptions that belong to a process instance with the given id.
Only select subscriptions that belong to an activity with the given id.
Filter by a comma-separated list of tenant ids. Only select subscriptions that belong to one of the given tenant ids.
Only select subscriptions which have no tenant id.
Value may only be true, as false is the default behavior.
Select event subscriptions which have no tenant id.
Can be used in combination with tenantIdIn parameter.
Value may only be true, as false is the default behavior.
Response
Request successful.
The number of matching instances.